# CursorVars Struct Reference

Collection of variables for cursor-display and -animation. More...

`#include <gfx_type.h>`

## Data Fields
Point | pos
Point | size
Point | offs
Point | delta
| position, size, offset from top-left, and movement
Point | draw_pos
Point | draw_size
| position and size bounding-box for drawing
int | short_vehicle_offset
| offset of the X for short vehicles
SpriteID | sprite
| current image of cursor
SpriteID | pal
int | wheel
| mouse wheel movement
int | v_wheel
int | h_wheel
const AnimCursor * | animate_list
| in case of animated cursor, list of frames
const AnimCursor * | animate_cur
| in case of animated cursor, current frame
uint | animate_timeout
| in case of animated cursor, number of ticks to show the current cursor
bool | visible
| cursor is visible
bool | dirty
| the rect occupied by the mouse is dirty (redraw)
bool | fix_at
| mouse is moving, but cursor is not (used for scrolling)
bool | in_window
| mouse inside this window, determines drawing logic
bool | vehchain
| vehicle chain is dragged

## Detailed Description

Collection of variables for cursor-display and -animation.

Definition at line 106 of file gfx_type.h.

The documentation for this struct was generated from the following file:

- src/gfx_type.h